Adicionar pontos ao saldo de um cliente
cURL
curl --request POST \ --url https://api.indiqai.com/api/v1/public/points/credit \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <x-api-key>' \ --data ' { "amount": 123, "client_id": "<string>", "reason": "Crédito via API Pública" } '
{ "client_id": "550e8400-e29b-41d4-a716-446655440000", "balance": 1400, "empresa_id": "660f9500-f39c-52e5-b827-557766551111" }
Documentation IndexFetch the complete documentation index at: https://docs.indiqai.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.indiqai.com/llms.txt
Use this file to discover all available pages before exploring further.
X-Idempotency-Key
curl -X POST "https://api.indiqai.com/api/v1/public/points/credit" \ -H "X-API-Key: indiqai_sua_chave_aqui" \ -H "X-Idempotency-Key: pontos-erp-2026-05-12-001" \ -H "Content-Type: application/json" \ -d '{ "client_id": "550e8400-e29b-41d4-a716-446655440000", "amount": 150, "reason": "Compra #12345 - R$ 150,00" }'
Chave de API
Creditar pontos para cliente.
Quantidade de pontos a creditar
ID do cliente
255
Successful Response
Saldo de pontos de um cliente.
Was this page helpful?